Run Pattern
curl --request POST \
--url https://api.example.com/api/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pattern": "<string>",
"target": "<string>",
"language": "<string>",
"isDeep": true,
"isDebug": true
}
'import requests
url = "https://api.example.com/api/run"
payload = {
"pattern": "<string>",
"target": "<string>",
"language": "<string>",
"isDeep": True,
"isDebug": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pattern: '<string>',
target: '<string>',
language: '<string>',
isDeep: true,
isDebug: true
})
};
fetch('https://api.example.com/api/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"semgrep_result": {
"status_code": 123,
"output": {},
"run_error": {
"message": "<string>",
"type": "<string>",
"extra": {},
"uid": "<string>"
},
"run_time": 123,
"environment": "<string>"
},
"test_result": [
{
"must_match": true,
"line_no": 123,
"rule_id": "<string>",
"status": "<string>",
"message": "<string>"
}
],
"ai_autofixes": [
"<string>"
]
}Editor
Run Pattern
Execute a Semgrep pattern against target code and return the results
POST
/
api
/
run
Run Pattern
Authorizations
Get access to data with your user's JSON Web Token.
Was this page helpful?
⌘I